Bug 670195

Summary: Build xl2tpd with kernel support
Product: [Fedora] Fedora Reporter: Alexey Torkhov <atorkhov>
Component: xl2tpdAssignee: Paul Wouters <pwouters>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 17CC: pwouters
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: xl2tpd-1.3.1-5.fc17 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-05-01 00:56:17 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
xl2tpd log none

Description Alexey Torkhov 2011-01-17 14:23:32 UTC
Description of problem:
According to xl2tpd description "xl2tpd supports the pppol2tp kernel mode operations on 2.6.23 or higher, or via a patch in contrib for 2.4.x kernels.", but it's built without -DUSE_KERNEL.

I've rebuilt xl2tpd rpm with USE_KERNEL option, but got the following errors when running it:

xl2tpd[12049]: Using l2tp kernel support.
...
xl2tpd[12049]: setsockopt recvref[22]: Protocol not available
...
xl2tpd[12049]: start_pppd: Unable to connect PPPoL2TP socket.

Module l2tp_ppp (as well as l2tp_netlink/l2tp_core/pppoe/pppox) was loaded. And it's working without the module with same configuration.

Is it possible to use xl2tpd with kernel support on Fedora's kernel? And if it is possible, could the package in Fedora rebuilt with this option?

Full log is in attachment.

Version-Release number of selected component (if applicable):
kernel-2.6.37-2.fc15.x86_64
ppp-2.4.5-12.fc14.x86_64
xl2tpd-1.2.7-1.fc14.1.x86_64 (built with USE_KERNEL)

Comment 1 Alexey Torkhov 2011-01-17 14:25:00 UTC
Created attachment 473851 [details]
xl2tpd log

Comment 2 Paul Wouters 2011-02-23 05:18:33 UTC
xl2tpd still uses the non-merged in kernel patch style. It needs to be updated to support the new CONFIG_L2TP hooks. It is not specific to fedora kernels.

Comment 3 Paul Wouters 2012-04-18 22:15:01 UTC
Please try out the rawhide build 1.3.1-5 which adds kernel mode support

http://koji.fedoraproject.org/koji/taskinfo?taskID=4003161

I might still change the patch, as I don't like the daemon trying to load the module, and I'll move that into the init script.

I've also seen it generate a kernel panic when the ppp l2tp plugin is missing, which is true for the rhel version but not of the fedora version.

Comment 4 Fedora Update System 2012-04-20 15:22:12 UTC
xl2tpd-1.3.1-5.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/xl2tpd-1.3.1-5.fc17

Comment 5 Fedora Update System 2012-04-20 15:51:32 UTC
xl2tpd-1.3.1-5.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/xl2tpd-1.3.1-5.fc16

Comment 6 Fedora Update System 2012-04-21 21:01:00 UTC
Package xl2tpd-1.3.1-5.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xl2tpd-1.3.1-5.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-6298/xl2tpd-1.3.1-5.fc17
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2012-05-01 00:56:17 UTC
xl2tpd-1.3.1-5.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2012-05-02 04:55:57 UTC
xl2tpd-1.3.1-5.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.